//---------------------------------------------------------------------------
//
// Evj        Model the evolution of DNA binding site recognition
//
// Module:    Resource, a static class providing resources.
// Author:    Paul C. Anagnostopoulos
// Created:   27 May 2005
//
// This computer program fits the description in the U.S. Copyright Act
// of a "United States Government work." It was written as a part of
// my/our official duties as a Government employee. This means it cannot
// be copyrighted. The program is freely available for use without a
// copyright notice, and there are no restrictions on its use, now or
// subsequently. We retain no rights in the program. Please acknowledge
// the source of this code in any releases you make.
//
//---------------------------------------------------------------------------

import java.util.*;


// This static class provides various resources to other Evj classes.
// This includes the tooltips for GUI components.

public class Resource
{
  // A variable to hold the resource bundle.
  
  private static ResourceBundle res;

  // Initialize by simply loading the appropriate resource file.
  
  public static void initialize ()
  {
    res = ResourceBundle.getBundle("resource");
  }

  // Get a resource by key.
  
  public static String get (String key)
  {
    return res.getString(key);
  }
}
